# 代码提交规约

## Issue提交模板

### <font color='red'>[强制]</font> 标题务必写明类型是什么

> 为了区分前后端开发所提交的事务,务必在Issue进行工单提交,在工单的每一个标题最前面创建标准字段,字段表明类型是该工单面向后端开发或前端开发.

#### 字段样式

标题样式: `[XX|YY] 一句话描述`

标题样式合法模板①: `[后端|需要数据] 在xxx页面中,需要xxx参数`

标题样式合法模板②: `[后端|发现漏洞] 在xxx页面中,发现xxx类型xxx错误`

#### 字段规定

- 中括号**前**一段字样规定
  - **后端**: 面向后端开发者
  - **前端**: 面向前端开发者

- 中括号**后**一段字样规定
  - **需要数据**: 由发起者需要某些数据需要对应指派人员进行进一步开发以提供.
  - **发现漏洞**: 由发起者发现出现漏洞地方,需要进行检查并维护.
  - **需要重写**: 由发起者发现此段代码出现较为严重问题或者无法进行优化,需要进行代码重写,重新进行代码部署操作.
  - **需要优化**: 由发起者发现代码可以继续优化.
  - **变量优化**: 由发起者发现变量命名/变量配置可以进行优化或可以进行修改配置,以达到更好的效果.
  - **配置错误**: 由发起者发现环境等配置发生了而造成的结果.

- 中括号以外字段规定
  - 没有指定规定,简洁明了即可.


### <font color='red'>[强制]</font> 请务必选择标签内容

> 请根据已有标签选择合理标签,禁止不填写任何标签.

### <font color='red'>[强制]</font> 请务必选择指派人员

> 请明确此工单需要指派的人员,若没有详细的指派人员,请直接指派给项目小组组长或项目组组长/项目经理进行分配.

### <font color='deepskyblue'>[推荐]</font> 若有项目请填写所属项目

> 若有项目请选择合理项目方便进行看板查看.



## Pull Request提交模板

### <font color='red'>[强制]</font> 对于暂时不需要进行合并请求的申请添加`WIP:`字样

